Update consent
Update a consent type
Required permissions: CONSENT
put/tenants/{tenantUid}/consents/{consentUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+consentUidstringRequired
Reference to a consent
Body
namestringOptional
descriptionstringOptional
activebooleanOptional
externalIdstringOptional
Responses
200
Example response
application/json
consentUidstringRequiredPattern:
^[A-Za-z0-9-_]+namestringRequired
descriptionstringRequired
activebooleanRequired
externalIdstringRequired
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
put/tenants/{tenantUid}/consents/{consentUid}
PUT /v2/tenants/{tenantUid}/consents/{consentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 70
{
"name": "text",
"description": "text",
"active": true,
"externalId": "text"
}200
Example response
{
"consentUid": "text",
"name": "text",
"description": "text",
"active": true,
"externalId": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text"
}Last updated
Was this helpful?

